%define name libraw1394
%define version 0.8.2
%define release 2mdk

%define major 4
%define libname %name-%{major} 

Summary: FireWire interface
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Source0: %{name}_%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kernel >= 2.4.2

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

Warning: this requires 2.4.x kernel

%package -n %{libname}
Summary: FireWire interface
Group: System/Libraries
Obsoletes: libraw1394

%description -n %{libname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

Warning: this requires 2.4.x kernel


%package -n %{libname}-devel
Summary: FireWire interface
Group: Development/C
Obsoletes: libraw1394-devel
Provides: %{libname}-devel
Requires: %{libname} = %{version}

%description -n %{libname}-devel
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

Warning: this requires 2.4.x kernel


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install

%makeinstall

mv $RPM_BUILD_ROOT/%_includedir/%name/* $RPM_BUILD_ROOT/%_includedir/.

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS INSTALL COPYING.LIB  COPYING AUTHORS
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(- ,root,root)
%{_libdir}/libraw1394.la
%{_libdir}/libraw1394.a
%{_includedir}/*
%{_libdir}/libraw1394.so

%changelog
* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- move headers

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Fri Jan 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-3mdk
- apply library policy

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- clean spec

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- initial spec
